import importAliasPlugin from '@genesiscommunitysuccess/analyzer-import-alias-plugin';

export default {
  /** Globs to analyze */
  globs: ['src/**/*.ts'],
  /** Directory to output CEM to */
  outdir: './dist',
  /** Run in dev mode, provides extra logging */
  dev: false,
  /** Enable special handling for FastElement */
  fast: true,
  /** Include third party custom elements manifests */
  dependencies: true,
  /** Output CEM path to `package.json`, defaults to true */
  packagejson: true,
  plugins: [
    importAliasPlugin({
      '@microsoft/fast-components': {
        '*': (name) => name.replace('FAST', ''),
      },
    }),
  ],
};
