import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * The Action Menu Item component.
 * @remarks Used within the Action Menu component.
 * @public
 */
export type ActionMenuItem = {
    name: string | ((rowData: any) => string);
    callback: (rowData: any) => void | any;
    isDisabled?: (rowData: any) => boolean;
    color?: string;
};
/**
 * @tagname %%prefix%%-actions-menu
 */
export declare class ActionsMenu extends FoundationElement {
    actions: ActionMenuItem[];
    isVertical: boolean;
    addDefaultActions: boolean;
    autoCloseOnAction: boolean;
    classNames: string;
    definition: any;
    name: string;
    open: boolean;
    buttonAppearance: string;
    hideDisabled: boolean;
    hideMenuSingleOption: boolean;
    singleOption: ActionMenuItem;
    actionsMenu: HTMLElement;
    protected definitionChanged(oldValue: any, newValue: any): void;
    protected openChanged(): void;
    toggleActionsMenuVisibility(): void;
    onActionMenuItemClick(callback: (rowData: any) => void | any): void;
    get allActions(): ActionMenuItem[];
    get rowData(): any;
    getLabel(name: string | ((rowData: any) => string)): string;
    getTemplate(prefix: string): import("@microsoft/fast-element").ViewTemplate<ActionsMenu, any>;
}
/**
 * The Foundation Actions Menu
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-actions-menu\>
 */
export declare const foundationActionsMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof ActionsMenu>;
//# sourceMappingURL=actions-menu.d.ts.map