import { NotificationStructure } from '@genesislcap/foundation-notifications';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationBannerShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-banner
 */
export declare class Banner extends FoundationElement {
    banner: HTMLElement;
    dismissAnimation: 'banner-delete' | '';
    notification: NotificationStructure;
    connectedCallback(): void;
    /**
     * Dismiss the Banner from display.
     */
    dismiss(): Promise<void>;
    /**
     * Dismiss the Banner (NotificationStructure) from display.
     */
    dismissNotification(): Promise<void>;
}
/**
 * The Foundation Banner
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-banner\>
 */
export declare const foundationBanner: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Banner, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Banner, any>;
    shadowOptions: ShadowRootInit;
}, typeof Banner>;
//# sourceMappingURL=banner.d.ts.map