import { IconStyle } from '@fortawesome/fontawesome-svg-core';
import { FoundationElement } from '@microsoft/fast-foundation';
import { FaSize } from '../icon';
export type DropdownMenuItem = {
    name: string;
    icon?: {
        variant?: IconStyle;
        name: string;
        size?: FaSize;
    };
    color?: string;
    submenu?: DropdownMenuItem[];
    callback?: (params?: any) => void | any;
    isDisabled?: (params?: any) => boolean;
};
/**
 * @tagname %%prefix%%-dropdown-menu
 */
export declare class DropdownMenu extends FoundationElement {
    items: DropdownMenuItem[];
    autoClose: boolean;
    disabled: boolean;
    classNames: string;
    name: string;
    open: boolean;
    buttonAppearance: string;
    dropdownMenu: HTMLElement;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private clickOutside;
    private handleClickOutside;
    protected openChanged(): void;
    toggleDropdownMenuVisibility(): void;
    onDropdownMenuItemClick(): void;
    get allItems(): DropdownMenuItem[];
}
/**
 * The Foundation Dropdown Menu
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-dropdown-menu\>
 */
export declare const foundationDropdownMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof DropdownMenu>;
//# sourceMappingURL=dropdown-menu.d.ts.map