import { FoundationElement } from '@microsoft/fast-foundation';
import { Subscription } from 'rxjs';
export declare const foundationErrorBoundaryShadowOptions: ShadowRootInit;
/**
 * @deprecated
 * @tagname %%prefix%%-error-boundary
 */
export declare class ErrorBoundary extends FoundationElement {
    private logger;
    errorBoundary: HTMLElement;
    /**
     * The resource name holding new and existing notifications
     * @remarks usually 'ALL_NOTIFY_ALERT_RECORDS'
     * @public
     */
    resourceName: any;
    /**
     * Number of milliseconds before toast will disappear. Leave empty or set to 0 to keep toast open indefinitely
     * @public
     */
    closeTimeout: number;
    protected dataSub: Subscription;
    private datasource;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
}
/**
 * The Foundation Error Boundary
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-error-boundary\>
 */
export declare const foundationErrorBoundary: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBoundary, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBoundary, any>;
    shadowOptions: ShadowRootInit;
}, typeof ErrorBoundary>;
//# sourceMappingURL=error-boundary.d.ts.map