import { ErrorStructure } from '@genesislcap/foundation-errors';
import { NotificationStructure } from '@genesislcap/foundation-notifications';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationErrorDialogShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-error-dialog
 * @deprecated
 */
export declare class ErrorDialog extends FoundationElement {
    dialog: HTMLElement & {
        close: () => void;
        show: () => void;
    };
    error: ErrorStructure;
    notification: NotificationStructure;
    connectedCallback(): void;
    /**
     * Show the Error Dialog.
     */
    show(): void;
    /**
     * Dismiss the Error Dialog from display and calls the dismissing action.
     */
    dismiss(): void;
    /**
     * Dismiss the Error Dialog from display.
     */
    closeDialog(): void;
}
/**
 * The Foundation Error Dialog
 *
 * @public
 * @remarks
 * HTML Element: <foundation-error-dialog>
 */
export declare const foundationErrorDialog: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorDialog, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorDialog, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}, typeof ErrorDialog>;
//# sourceMappingURL=error-dialog.d.ts.map