import { Session, Connect } from '@genesislcap/foundation-comms';
import { ViewTemplate } from '@microsoft/fast-element';
import { ColumnDefinition, DataGridCell, FoundationElement } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-file-upload
 */
export declare class FileUpload extends FoundationElement {
    fileInput: HTMLInputElement;
    private acceptedFormats;
    private selectedFiles;
    gridCriteria: string;
    connect: Connect;
    session: Session;
    label: string;
    accept: string;
    acceptChanged(): void;
    fileSizeLimitBytes: number;
    uploadedFilesResourceName: string;
    uploadEventName: string;
    fieldName: string;
    fieldNameChanged(): void;
    entityId: string;
    entityIdChanged(): void;
    uploadKey: string;
    gridFields: string;
    fileName: string;
    uploadedFilesList: any[];
    filesGridColumnDefinitions: ColumnDefinition[];
    downloadEventName: Function;
    connectedCallback(): Promise<void>;
    setupGrid(): void;
    private handleStreamRowOperation;
    setRowData(): Promise<void>;
    setColumnDefs(): Promise<void>;
    getDownloadColumn(): {
        columnDataKey: string;
        title: string;
        cellTemplate: ViewTemplate<any, any>;
    };
    getColumnObject(column: any): {
        columnDataKey: any;
        title: any;
        type: any;
        cellTemplate: ViewTemplate<DataGridCell, any>;
    };
    handleClick(): void;
    onInputChange(e: any): void;
    onFilesSelected(files: File[]): void;
    handleFileUpload(): Promise<void>;
    handleFileDownload(rowData: any): void;
    clearSelection(): void;
}
export declare const foundationFileUploadShadowOptions: ShadowRootInit;
export declare const defaultFileUploadConfig: {};
/**
 * The Foundation File Upload
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-file-upload\>
 */
export declare const foundationFileUpload: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: ViewTemplate<FileUpload, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: ViewTemplate<FileUpload, any>;
    shadowOptions: ShadowRootInit;
}, typeof FileUpload>;
//# sourceMappingURL=file-upload.d.ts.map