import { Connect, MetadataDetail } from '@genesislcap/foundation-comms';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const DEFUALT_FILTER_BAR_COLUMNS = 5;
/**
 * @tagname %%prefix%%-filter-bar
 */
export declare class FilterBar extends FoundationElement {
    resource: string;
    /**
     * Only generate filters for the specified fields, provided as a comma separated list.
     * Default behavior (if "only" is not set) is to generate filters for all fields based on metadata.
     */
    only: string;
    /**
     * Labels for the specified fields, to be used alongside "only" prop.
     */
    labels: string;
    /**
     * Will be included in event emmissions.
     * Usually set to the id of the target datasource.
     * Usefull when we have multiple grids in the same page.
     */
    target: string;
    columns: number;
    ready: boolean;
    fields: MetadataDetail[];
    connect: Connect;
    filterGrid: HTMLDivElement;
    collapsed: boolean;
    connectedCallback(): void;
    private initLabels;
    private camelCasePreserveWhitespace;
    resourceChanged(oldResource: string, newResource: string): void;
    private init;
    private adjustColumnStyles;
    toggle(): void;
}
/**
 * The Foundation Filter
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-filter-bar\>
 */
export declare const foundationFilterBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof FilterBar>;
//# sourceMappingURL=filter-bar.d.ts.map