import { IconName, IconStyle } from '@fortawesome/fontawesome-svg-core';
import { FoundationElement } from '@microsoft/fast-foundation';
export { IconName, IconStyle };
export declare const foundationIconShadowOptions: ShadowRootInit;
export declare const defaultIconConfig: {};
export declare enum FaPrefixFromStyle {
    solid = "fas",
    regular = "far",
    brand = "fab"
}
export declare const faSizeValueDefault: "1x";
export declare const faSizeValues: readonly ["2xs", "xs", "sm", "lg", "xl", "2xl", "1x", "2x", "3x", "4x", "5x", "6x", "7x", "8x", "9x", "10x", "stack-1x", "stack-2x"];
export type FaSize = (typeof faSizeValues)[number];
/**
 * @tagname %%prefix%%-icon
 */
export declare class Icon extends FoundationElement {
    iElement: HTMLElement;
    name: IconName;
    nameChanged(oldValue: string, newValue: string): void;
    size: FaSize;
    sizeChanged(oldValue: string, newValue: string): void;
    variant: IconStyle;
    variantChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    loadIcon(): void;
}
/**
 * The Foundation Icon
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-icon\>
 */
export declare const foundationIcon: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof Icon>;
//# sourceMappingURL=icon.d.ts.map