import { NotificationDataRow, ToastButton } from '@genesislcap/foundation-notifications';
import { FoundationElement } from '@microsoft/fast-foundation';
import { Subscription } from 'rxjs';
export declare const foundationNotificationListenerShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-notification-listener
 */
export declare class NotificationListener extends FoundationElement {
    notificationListener: HTMLElement;
    /**
     * The resource name holding new and existing notifications
     * @remarks usually 'ALL_NOTIFY_ALERT_RECORDS'
     * @public
     */
    resourceName: any;
    /**
     * Number of milliseconds before toast will disappear. Leave empty or set to 0 to keep toast open indefinitely
     * @public
     */
    closeTimeout: number;
    /**
     * Array of buttons for notification toasts
     * @public
     */
    toastButtons: ToastButton[];
    protected dataSub: Subscription;
    private datasource;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    private handleStreamUpdate;
    protected showNotificationToast(row: NotificationDataRow): void;
}
/**
 * The Foundation Notification Listener
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-notification-listener\>
 */
export declare const foundationNotificationListener: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<NotificationListener, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<NotificationListener, any>;
    shadowOptions: ShadowRootInit;
}, typeof NotificationListener>;
//# sourceMappingURL=notification-listener.d.ts.map