import { NumberField as FASTNumberField } from '@microsoft/fast-components';
import type { NumberFieldOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-number-field
 */
export declare class NumberField extends FASTNumberField {
    autocomplete: string;
    private autocompleteChanged;
    hideStep: boolean;
    value: string;
    withFormatting: boolean;
    locale: string;
    options: Intl.NumberFormatOptions;
    private sanitiseInputVal;
    private toIntlNumberFormat;
    private validateValue;
    private validateMinMax;
    stepUp(): void;
    stepDown(): void;
    hasSeparatorWithoutDecimals(): RegExp;
    handleTextInput(): void;
    valueChanged(previous: any, next: any): void;
    handleBlur(): void;
}
export declare const foundationNumberFieldShadowOptions: ShadowRootInit;
export declare const defaultNumberFieldConfig: {
    stepDownGlyph: string;
    stepUpGlyph: string;
};
/**
 * The Foundation NumberField
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-number-field\>
 */
export declare const foundationNumberField: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<NumberFieldOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<NumberFieldOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=number-field.d.ts.map