import { ValueConverter } from '@microsoft/fast-element';
import { FoundationElement } from '@microsoft/fast-foundation';
import { Instance, OptionsGeneric, Placement } from '@popperjs/core';
export declare const jsonConverter: ValueConverter;
/**
 * @tagname %%prefix%%-popper
 */
export declare class Popper extends FoundationElement {
    protected popper: Instance;
    protected target: HTMLElement;
    selector: string;
    selectorChanged(oldValue: string, newValue: string): void;
    show: boolean;
    event: string;
    placement: Placement;
    placementChanged(): void;
    offset: [number, number];
    offsetChanged(): void;
    flip: boolean;
    flipChanged(): void;
    protected buildOptions(): Partial<OptionsGeneric<any>>;
    toggle(): void;
    disconnectedCallback(): void;
}
/**
 * The Foundation Popper
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-popper\>
 */
export declare const foundationPopper: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Popper, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Popper, any>;
}, typeof Popper>;
//# sourceMappingURL=popper.d.ts.map