import { FoundationElement, TabsOrientation } from '@microsoft/fast-foundation';
import { StepperTab } from '../stepper-tab';
export type Validation = {
    isValid: () => any;
};
/**
 * @tagname %%prefix%%-stepper
 */
export declare class Stepper extends FoundationElement {
    hideSubmitButton: boolean;
    orientation: TabsOrientation;
    orientationChanged(): void;
    activeid: string;
    activeidChanged(oldValue: string, newValue: string): void;
    tabs: StepperTab[] & HTMLElement[];
    tabsChanged(): void;
    tabpanels: HTMLElement[];
    tabpanelsChanged(): void;
    validation: Validation[];
    progressValue: number;
    activeTabIndex: number;
    activetab: HTMLElement;
    completedIds: Map<any, any>;
    private tabIds;
    private tabpanelIds;
    connectedCallback(): void;
    private getActiveIndex;
    get disabledPreviousStep(): boolean;
    get isLastStep(): boolean;
    get islastStepValid(): boolean;
    _submit(): void;
    nextStep(): void;
    previousStep(): void;
    protected setTabs: () => void;
    getCompletedTabs: () => void;
    private setTabPanels;
    private getTabIds;
    private getTabPanelIds;
}
export declare const foundationStepperShadowOptions: ShadowRootInit;
export declare const defaultStepperConfig: {};
/**
 * The Foundation Stepper
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-stepper\>
 */
export declare const foundationStepper: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Stepper, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Stepper, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}, typeof Stepper>;
//# sourceMappingURL=stepper.d.ts.map