import { DesignToken } from '@microsoft/fast-foundation';
import { defaultFillColor, fuiDefaultCardFillColor, fuiDefaultCardPalette } from '../styles/colors';
const { create } = DesignToken;
/** @public */
export const fuiFillColor = create('fui-fill-color').withDefault(defaultFillColor);
/** @public */
export const fuiCardFillColor = create({
    name: 'card-fill-color',
    cssCustomPropertyName: 'fui-card-fill-color',
}).withDefault(fuiDefaultCardFillColor);
export const defaultNeutralForegroundContrast = 14;
export function neutralForeground(palette, reference) {
    return palette.colorContrast(reference, defaultNeutralForegroundContrast);
}
/** @public */
export const fuiCardForegroundColor = create({
    name: 'card-foreground-color',
    cssCustomPropertyName: 'fui-card-foreground-color',
}).withDefault((element) => {
    const cardPalette = create('fui-card-palette').withDefault(fuiDefaultCardPalette);
    return neutralForeground(cardPalette.getValueFor(element), fuiCardFillColor.getValueFor(element));
});
