import { Anchor as FASTAnchor } from '@microsoft/fast-components';
import { foundationAnchorStyles as styles } from './anchor.styles';
import { foundationAnchorTemplate as template } from './anchor.template';
/**
 * @tagname %%prefix%%-anchor
 */
export class Anchor extends FASTAnchor {
}
// explicitly declaring for extensibility
export const foundationAnchorShadowOptions = {
    delegatesFocus: true,
    mode: 'open',
};
export const defaultAnchorConfig = {};
/**
 * The Foundation Anchor
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-anchor\>
 */
export const foundationAnchor = Anchor.compose(Object.assign({ baseName: 'anchor', template,
    styles, shadowOptions: foundationAnchorShadowOptions }, defaultAnchorConfig));
