import { Avatar as FASTAvatar } from '@microsoft/fast-components';
import { foundationAvatarStyles as styles } from './avatar.styles';
import { foundationAvatarTemplate as template, media as mediaTemplate } from './avatar.template';
/**
 * @tagname %%prefix%%-avatar
 */
export class Avatar extends FASTAvatar {
}
// explicitly declaring for extensibility
export const foundationAvatarShadowOptions = {
    delegatesFocus: true,
    mode: 'open',
};
export const defaultAvatarConfig = {
    media: mediaTemplate,
};
/**
 * The Foundation Avatar
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-avatar\>
 */
export const foundationAvatar = Avatar.compose(Object.assign({ baseName: 'avatar', template,
    styles, shadowOptions: foundationAvatarShadowOptions }, defaultAvatarConfig));
