import { Button as FASTButton } from '@microsoft/fast-components';
import { foundationButtonStyles as styles } from './button.styles';
import { foundationButtonTemplate as template } from './button.template';
/**
 * @tagname %%prefix%%-button
 */
export class Button extends FASTButton {
}
// explicitly declaring for extensibility
export const foundationButtonShadowOptions = {
    delegatesFocus: true,
    mode: 'open',
};
export const defaultButtonConfig = {};
/**
 * The Foundation Button
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-button\>
 */
export const foundationButton = Button.compose(Object.assign({ baseName: 'button', template,
    styles, shadowOptions: foundationButtonShadowOptions }, defaultButtonConfig));
