import { Calendar as FASTCalendar } from '@microsoft/fast-components';
import { foundationCalendarStyles as styles } from './calendar.styles';
import { foundationCalendarTemplate as template } from './calendar.template';
/**
 * @tagname %%prefix%%-calendar
 */
export class Calendar extends FASTCalendar {
}
// explicitly declaring for extensibility
export const foundationCalendarShadowOptions = {
    delegatesFocus: true,
    mode: 'open',
};
export const defaultCalendarConfig = {};
/**
 * The Foundation Calendar
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-calendar\>
 */
export const foundationCalendar = Calendar.compose(Object.assign({ baseName: 'calendar', template,
    styles, shadowOptions: foundationCalendarShadowOptions }, defaultCalendarConfig));
