import { css } from '@microsoft/fast-element';
export const optionsMaxheight = 450;
export const categorizedMultiselectStyles = css `
  .root {
    position: relative;
    width: 100%;
    min-width: 250px;
  }

  .control-button {
    display: flex;
    justify-content: center;
    min-width: 31px;
    width: 31px;
    height: 31px;
    margin-left: calc(var(--design-unit) * 2px);
    color: var(--neutral-foreground-hint);
  }

  .control {
    cursor: pointer;
    position: relative;
    display: flex;
    justify-content: end;
    align-items: center;
    width: 100%;
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  .label {
    display: block;
    cursor: pointer;
    font-size: var(--type-ramp-base-font-size);
    line-height: var(--type-ramp-base-line-height);
    font-style: normal;
    font-weight: 700;
    margin: calc(var(--design-unit) * 2px) 0;
  }

  .label-hidden {
    display: none;
  }

  .control:hover .control-button,
  .control:hover .label {
    color: var(--neutral-foreground-rest);
  }

  button {
    pointer-events: none;
  }

  .options {
    display: flex;
    flex-direction: column;
    position: absolute;
    height: max-content;
    overflow-y: hidden;
    margin-top: 5px;
    padding: calc((var(--design-unit) + 3) * 2px) calc((var(--design-unit) + 3) * 1px);
    border: 1px solid rgba(46 51 57 / 100%);
    border-radius: 4px;
    background: var(--neutral-fill-input-rest);
    width: 100%;
    max-height: 0;
    visibility: hidden;
    transition:
      max-height 0.4s ease 0s,
      visibility 0.4s ease 0s;
    z-index: 999;
  }

  .position-above {
    bottom: 100%;
  }

  .checkbox-container {
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    scrollbar-width: thin;
    scrollbar-color: rgb(46 48 53) rgb(31 33 38);
  }

  span {
    border-bottom: calc(var(--stroke-width) * 1px) solid;
    border-color: color-mix(in srgb, var(--neutral-fill-rest), transparent 50%);
    padding: calc((var(--design-unit) + 2) * 2px) calc((var(--design-unit) + 3) * 1px);
    font-size: calc((var(--type-ramp-base-font-size) - 1px));
    color: var(--neutral-foreground-hint);
  }

  .multiselect-checkbox {
    min-width: fit-content;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: flex-start;
    border-bottom: 1px solid;
    border-color: color-mix(in srgb, var(--neutral-fill-rest), transparent 50%);
    padding: calc((var(--design-unit) + 3) * 1px) calc((var(--design-unit) + 3) * 1px)
      calc((var(--design-unit) + 3) * 1px) 0;
    margin: 0;
  }

  .multiselect-checkbox:hover {
    background-color: rgb(45 47 51);
    cursor: pointer;
  }

  .multiselect-checkbox::part(label) {
    overflow-x: hidden;
    text-overflow: ellipsis;
  }

  .multiselect-checkbox::part(control) {
    min-width: calc(
      (
          (var(--base-height-multiplier) + var(--density)) * var(--design-unit) / 2 +
            var(--design-unit)
        ) * 1px
    );
  }

  .checkbox-container .multiselect-checkbox[disabled] {
    cursor: not-allowed;
  }

  .description {
    text-wrap: wrap;
    font-size: calc((var(--type-ramp-base-font-size) - 1px));
    margin: calc((var(--design-unit) + 3) * 1px) 0;
  }

  #filter-search {
    padding: 5px;
  }

  ::-webkit-scrollbar {
    width: 12px;
  }

  ::-webkit-scrollbar-track {
    background: rgb(31 33 38);
  }

  ::-webkit-scrollbar-thumb {
    width: 8px;
    border-radius: 10px;
    box-shadow: inset 0 0 6px rgba(0 0 0 / 30%);
    background-color: rgb(46 48 53);
    border: 3px solid rgb(31 33 38);
  }

  .visible {
    visibility: visible;
    max-height: ${optionsMaxheight.toString()}px;
  }
`;
