import { sync } from '@genesislcap/foundation-utils';
import { html, repeat, ref, when, slotted } from '@microsoft/fast-element';
import { whitespaceFilter } from '@microsoft/fast-foundation';
import { classNames } from '@microsoft/fast-web-utilities';
export const getPrefixedCategorizedMultiselect = (prefix = 'foundation') => html `
  <div class="root" part="root">
    <div class="control" part="control" @click=${(x) => !x.disabled && x.toggle()}>
      <label
        part="label"
        for="control"
        class=${(x) => { var _a; return classNames('label', ['label-hidden', !((_a = x.defaultSlottedNodes) === null || _a === void 0 ? void 0 : _a.length)]); }}
      >
        <slot
          ${slotted({
    property: 'defaultSlottedNodes',
    filter: whitespaceFilter,
})}
        ></slot>
      </label>
      <${prefix}-button class="control-button" part="control-button"><${prefix}-icon name="plus" variant="solid" size="lg"></${prefix}-icon></${prefix}-button>
    </div>
    <div ${ref('optionsElement')} class="options" part="options">
      ${when((x) => x.search, html `
          <${prefix}-text-field
            id="filter-search"
            part="filter-search"
            value=${sync((x) => x.filterSearchValue, 'string', 'input')}
            placeholder="${(x) => x.getPlaceholder}"
            @input=${(x, c) => x.setFilter()}
            @change=${(x, c) => x.changeHandler(c.event)}
          ></${prefix}-text-field>
        `)}
      <div class="checkbox-container" part="checkbox-container">
        ${repeat((x) => x.filteredAvailableOptions, html `
            <span>${(x) => x.type}</span>
            ${repeat((x) => x.options, html `
                <${prefix}-checkbox
                  class="multiselect-checkbox"
                  part="multiselect-checkbox"
                  @click=${(x, c) => c.parentContext.parent.selectCheckboxOne(x)}
                  @change=${(x, c) => c.parentContext.parent.changeHandler(c.event)}
                  ?current-checked="${(x, c) => c.parentContext.parent.isOptionSelected(x)}"
                  ?disabled="${(x, c) => c.parentContext.parent.isOptionDisabled(x)}"
                >
                  ${(x, ctx) => ctx.parentContext.parent.getItemLabel(x)}

                  ${when((x) => x.description, html `
                      <p class="description">${(x) => x.description}</p>
                    `)}
                </${prefix}-checkbox>
              `)}
          `)}
      </div>
    </div>
  </div>
`;
export const categorizedMultiselectTemplate = html `
  ${getPrefixedCategorizedMultiselect()}
`;
