import { html, ref, repeat } from '@microsoft/fast-element';
import { getPrefix } from '../utils/dom';
export const getPrefixedErrorBanner = (prefix) => html `
  <${prefix}-banner ${ref('banner')}>
    <div slot="content">
      <div>
        ${(x) => { var _a, _b; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || ((_b = x.notification) === null || _b === void 0 ? void 0 : _b.body) || 'Place holder for error message'; }}
      </div>
    </div>

    <${prefix}-button slot="action" appearance="lightweight" @click=${(x) => x.dismiss()}>
      ${(x) => {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    return ((_d = (_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.banner) === null || _c === void 0 ? void 0 : _c.dismissingAction) === null || _d === void 0 ? void 0 : _d.label) ||
        ((_h = (_g = (_f = (_e = x.notification) === null || _e === void 0 ? void 0 : _e.config) === null || _f === void 0 ? void 0 : _f.banner) === null || _g === void 0 ? void 0 : _g.dismissingAction) === null || _h === void 0 ? void 0 : _h.label) ||
        'Ignore';
}}
    </${prefix}-button>
    ${repeat((x) => {
    var _a, _b, _c, _d;
    return ((_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.banner.confirmingActions) ||
        ((_d = (_c = x.notification) === null || _c === void 0 ? void 0 : _c.config) === null || _d === void 0 ? void 0 : _d.banner.confirmingActions);
}, html `
        <${prefix}-button
          slot="action"
          appearance="lightweight"
          @click=${(x, c) => {
    var _a;
    x === null || x === void 0 ? void 0 : x.action();
    (_a = c.parent) === null || _a === void 0 ? void 0 : _a.dismiss();
}}
        >
          ${(x) => x.label}
        </${prefix}-button>
      `)}
  </${prefix}-banner>
`;
export const foundationErrorBannerTemplate = html `
  ${(x) => getPrefixedErrorBanner(getPrefix(x))}
`;
