import { html, ref, repeat } from '@microsoft/fast-element';
import { getPrefix } from '../utils';
export const getErrorDialogTemplate = (prefix) => html `
  <${prefix}-dialog show-close-icon="false" ${ref('dialog')}>
    <h2 slot="top" class="title">${(x) => { var _a; return (_a = x.error) === null || _a === void 0 ? void 0 : _a.title; }}</h2>
    <div class="details">${(x) => { var _a, _b; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || ((_b = x.notification) === null || _b === void 0 ? void 0 : _b.body) || 'Place holder for error message'; }}</div>
    <${prefix}-button slot="bottom" appearance="lightweight" @click=${(x) => {
    x.dismiss();
}}>
      ${(x) => {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    return ((_d = (_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.dialog) === null || _c === void 0 ? void 0 : _c.dismissingAction) === null || _d === void 0 ? void 0 : _d.label) ||
        ((_h = (_g = (_f = (_e = x.notification) === null || _e === void 0 ? void 0 : _e.config) === null || _f === void 0 ? void 0 : _f.dialog) === null || _g === void 0 ? void 0 : _g.dismissingAction) === null || _h === void 0 ? void 0 : _h.label) ||
        'Ignore';
}}
    </${prefix}-button>
    ${repeat((x) => {
    var _a, _b, _c, _d;
    return ((_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.dialog.confirmingActions) ||
        ((_d = (_c = x.notification) === null || _c === void 0 ? void 0 : _c.config) === null || _d === void 0 ? void 0 : _d.dialog.confirmingActions);
}, html `
        <${prefix}-button
          slot="bottom"
          appearance="lightweight"
          @click=${(x, c) => {
    x === null || x === void 0 ? void 0 : x.action();
    c.parent.closeDialog();
}}
        >
          ${(x) => x.label}
        </${prefix}-button>
      `)}
  </${prefix}-dialog>
`;
export const errorDialogTemplate = html `
  ${(x) => getErrorDialogTemplate(getPrefix(x))}
`;
