import { css } from '@microsoft/fast-element';
import { GridMediaQueriesEnum } from '../grid-layout.types';
export const gridLayoutRWDStyles = (breakPoint) => {
    const bp = breakPoint ? `-${breakPoint}` : ``;
    return css `
    ${bp && `@media only screen and ${GridMediaQueriesEnum[breakPoint]} {`}
    :host(.spacing${bp}-1x) slot {
      gap: calc(var(--design-unit) * 2px);
    }

    :host(.spacing${bp}-2x) slot {
      gap: calc(var(--design-unit) * 4px);
    }

    :host(.spacing${bp}-3x) slot {
      gap: calc(var(--design-unit) * 6px);
    }

    :host(.spacing${bp}-4x) slot {
      gap: calc(var(--design-unit) * 8px);
    }

    :host(.spacing${bp}-5x) slot {
      gap: calc(var(--design-unit) * 10px);
    }

    :host(.spacing${bp}-6x) slot {
      gap: calc(var(--design-unit) * 12px);
    }

    :host(.flow${bp}-row) slot {
      grid-auto-flow: row;
    }

    :host(.flow${bp}-column) slot {
      grid-auto-flow: column;
    }

    :host(.flow${bp}-row-dense) slot {
      grid-auto-flow: row dense;
    }

    :host(.flow${bp}-column-dense) slot {
      grid-auto-flow: column dense;
    }

    :host(.content${bp}-center) slot {
      place-content: center;
    }

    :host(.content${bp}-start) slot {
      place-content: start;
    }

    :host(.content${bp}-end) slot {
      place-content: end;
    }

    :host(.content${bp}-between) slot {
      place-content: space-between;
    }

    :host(.content${bp}-around) slot {
      place-content: space-around;
    }

    :host(.content${bp}-evenly) slot {
      place-content: space-evenly;
    }

    :host(.content${bp}-stretch) slot {
      place-content: stretch;
    }

    :host(.place${bp}-items-start) slot {
      place-items: start;
    }

    :host(.place${bp}-items-end) slot {
      place-items: end;
    }

    :host(.place${bp}-items-center) slot {
      place-items: center;
    }

    :host(.place${bp}-items-stretch) slot {
      place-items: stretch;
    }
    ${bp && `}`}
  `;
};
