import { Radio as FASTRadio } from '@microsoft/fast-components';
import { foundationRadioStyles as styles } from './radio.styles';
import { foundationRadioTemplate as template } from './radio.template';
/**
 * @tagname %%prefix%%-radio
 */
export class Radio extends FASTRadio {
}
// explicitly declaring for extensibility
export const foundationRadioShadowOptions = undefined;
export const defaultRadioConfig = {
    checkedIndicator: `
    <div part="checked-indicator" class="checked-indicator"></div>
  `,
};
/**
 * The Foundation Radio
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-radio\>
 */
export const foundationRadio = Radio.compose(Object.assign({ baseName: 'radio', template,
    styles, shadowOptions: foundationRadioShadowOptions }, defaultRadioConfig));
