import { designUnit } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const foundationSearchBarStyles = css `
  .search-bar-combobox {
    width: 100%;
    min-width: auto;
  }

  .padding {
    padding-left: calc(${designUnit} * 1px);
  }

  .selected-options {
    display: flex;
    align-items: center;
    overflow: hidden;
    gap: calc(${designUnit} * 1px);
    padding-right: calc(${designUnit} * 1px);
  }

  .selected-options:hover {
    overflow-x: overlay;
  }

  .selected-options::-webkit-scrollbar {
    height: 7px;
  }

  .selected-options::-webkit-scrollbar-thumb {
    border-radius: 10px;
    box-shadow: inset 0 0 6px rgb(0 0 0 / 30%);
    background-color: #484848;
    border: 1px solid #7e7e7e;
  }

  .selected-options-divider {
    border-right: calc(var(--stroke-width) * 1px) solid var(--neutral-fill-rest);
  }

  .options-button {
    height: fit-content;
    min-width: fit-content;
  }

  .label {
    display: block;
    font-size: var(--type-ramp-base-font-size);
    margin: calc(${designUnit} * 2px) 2px;
  }

  .label-hidden {
    display: none;
  }

  .search-clear-button {
    min-width: 28px;
    min-height: 28px;
    height: 28px;
    margin: 0;
  }

  .search-clear-button svg {
    rotate: 45deg;
  }

  .search-clear-button::part(control) {
    padding: 0;
  }

  .search-clear-button .svg-container {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .tooltip {
    position: absolute;
    z-index: 999;
  }

  .tooltip::part(tooltip) {
    background-color: rgb(18 18 18 / 100%);
    border: 1px solid #2e3339;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 10px rgb(0 0 0 / 25%);
    font-size: 10px;
    color: #f1f1f1;
    height: 26px;
  }

  .close-icon {
    color: var(--accent-fill-rest);
  }
`;
