import { Slider as FASTSlider } from '@microsoft/fast-components';
import { foundationSliderStyles as styles } from './slider.styles';
import { foundationSliderTemplate as template } from './slider.template';
/**
 * @tagname %%prefix%%-slider
 */
export class Slider extends FASTSlider {
}
// explicitly declaring for extensibility
export const foundationSliderShadowOptions = undefined;
export const defaultSliderConfig = {
    thumb: `
    <div class="thumb-cursor"></div>
  `,
};
/**
 * The Foundation Slider
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-slider\>
 */
export const foundationSlider = Slider.compose(Object.assign({ baseName: 'slider', template,
    styles, shadowOptions: foundationSliderShadowOptions }, defaultSliderConfig));
