import { __decorate } from "tslib";
import { attr } from '@microsoft/fast-element';
import { FoundationElement } from '@microsoft/fast-foundation';
import { faSizeValueDefault } from '../icon';
import { foundationStackingIconsStyles as styles } from './stacking-icons.styles';
import { foundationStackingIconsTemplate as template } from './stacking-icons.template';
/**
 * @tagname %%prefix%%-stacking-icons
 */
export class StackingIcons extends FoundationElement {
    constructor() {
        super(...arguments);
        this.size = faSizeValueDefault;
        this['vertical-align'] = 'baseline';
    }
}
__decorate([
    attr
], StackingIcons.prototype, "size", void 0);
__decorate([
    attr
], StackingIcons.prototype, 'vertical-align', void 0);
/**
 * The Foundation Stacking Icon
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-stacking-icons\>
 */
export const foundationStackingIcons = StackingIcons.compose({
    baseName: 'stacking-icons',
    template,
    styles,
});
